﻿@model List<Portal_Proveedor.Models.OnBase.Documentos>
@{
    ViewBag.Title = "RegistroFacturas";
    Layout = "~/Views/Shared/_Layout.cshtml";
    <link href="@Url.Content("~/Content/jquery-ui/jquery-ui.structure.css")" rel="stylesheet" />
    <link href="@Url.Content("~/Content/jquery-ui/jquery-ui.min.css")" rel="stylesheet" />
    <link href="@Url.Content("~/Content/jquery-ui/jquery-ui.theme.css")" rel="stylesheet" />

    @* <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
           <link href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css" rel="stylesheet">
           <link href="https://code.jquery.com/ui/1.12.1/resources/demos/style.css" rel="stylesheet">*@
}



<br />
<br />
<h2>Registro de facturas</h2>
<br />

<div class="row">
    <div class="col-md-6">
        <input class="form-control" id="busqueda" type="text" placeholder="Buscar..">
    </div>
</div>

<div class="table-responsive-md">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                @if (User.IsInRole("admin"))
                {
                    <th scope="col">C&oacute;digo Proveedor</th>
                }
                <th scope="col">Ordenes de Compras</th>
                @*<th scope="col">Ver</th>*@
                <th scope="col">
                    <span class="d-inline-block" tabindex="0" data-toggle="tooltip" title="Número de Aceptación Servicio/Mercancía">
                        Validar #MIGO/Servicio
                    </span>
                </th>
                <th scope="col">Cargar factura</th>
            </tr>
        </thead>
        <tbody id="tabla">

            @foreach (var item in Model)
            {
                @Html.Hidden(item.idPO.ToString())
                @Html.Hidden(item.montoRestante)

                <tr>
                    <th scope="row">
                        @item.consecutivo
                    </th>
                    @if (User.IsInRole("admin"))
                    {
                        <td>
                            @item.codigoProveedor
                        </td>
                    }
                    <td>
                        @item.numPO
                    </td>
                    @*<td>
                        <button ID="btnShowPopup" type="button" class="btn btn-info" OnClick="ShowPopup(@item.consecutivo)"  title = "Seleccione para visualizar la OC">
                            <img src="~/Content/images/lupa_blanca.png" />
                        </button>
                        <div id='@item.consecutivo'  style="display: none">
                            <iframe src=@item.documentoPO
                                    type="application/pdf"
                                    style="height:100%; width:100%;"></iframe>

                        </div>
                    </td>*@
                    <td>
                        <button ID="btnShowPopup" type="button" class="btn btn-info" OnClick="ValidaMigo('@item.numMigo')" title="Seleccione para ingresar el número de entrada de mercancía o servicio">
                            <img src="~/Content/images/clip-de-papel-contorno_blanco.png" />
                        </button>
                    </td>
                    <td>
                        @Html.ActionLink("Cargar documento", "ImportarFactura", new { codigoProveedor = item.codigoProveedor, numPO = item.numPO,
                       numMigo = item.numMigo, idPO = item.idPO, montoPO = item.montoPO, montoRestante = item.montoRestante },
                       new { @id = item.numMigo.ToString(), @name=item.numMigo, @class = "btn btn-info", disabled = "disabled", title= "Seleccione para cargar la factura" })
                    </td>
                </tr>
            }
        </tbody>
    </table>
    @if (Model.Count() == 0)
    {
        <div class="alert alert-warning" role="alert">
            No hay facturas para cargar en este momento.
        </div>
    }
    <div id="dialog-form" title="Validar número Aceptación/Servicio/Mercancía" style="display: none">
        <form>
            <content>
                <fieldset>
                    <label for="name">N&uacute;mero Migo</label>
                    <input type="text" name="migo" id="migo" class="text ui-widget-content ui-corner-all">
                    <!-- Allow form submission with keyboard without duplicating the dialog button -->
                    <input type="submit" tabindex="-1" style="position:absolute; top:-1000px">
                </fieldset>
            </content>
        </form>
    </div>
</div>

<script type="text/javascript">
    $(window).load(function () {
        // Animate loader off screen
        $(".se-pre-con").fadeOut("slow");
    });
    $(window).on('beforeunload', function () {
        $(".se-pre-con").fadeIn(50);
    });
</script>

<script type="text/javascript">
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })

    $(document).ready(function () {
        $("#busqueda").on("keyup", function () {
            var value = $(this).val().toLowerCase();
            $("#tabla tr").filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            });
        });
    });


    function ShowPopup(message) {
        $(function () {
            //$("#dialog").html(message);
            $('#' + message).dialog({
                title: "Orden de compra",
                buttons: {
                    Close: function () {
                        $(this).dialog('close');
                    }
                },
                modal: true,
                height: 600,
                width: 450,
            });
        });
    };

    function ValidaMigo(numMigo) {
        $(function () {
            $("#dialog-form").html();
            $("#dialog-form").dialog({
                title: "Validar número Aceptación/Servicio/Mercancía",
                buttons: {
                    "Validar": function () {
                        var migos = numMigo.split("l");
                        var res = 0;

                        jQuery.each(migos, function (i, val) {
                            if ($("#migo").val() == val) {
                                res = 1;
                                $('#' + numMigo).attr('href', function () {
                                    var h = numMigo;
                                    var oldUrl = this.href; // Get current url
                                    var newUrl = oldUrl.replace(h, $("#migo").val()); // Create new url
                                    $(this).attr("href", newUrl); // Set herf value
                                });

                                $("#migo").val("");
                                return false;
                            }

                        });

                        //if (numMigo == $("#migo").val()) {
                        if (res == 1) {
                            $("#" + numMigo).attr("disabled", false);

                            //alert("El número migo es correcto. Puede cargar la factura.");
                            Alerta("success", "El número de Aceptación, de Servicio o de Mercancía es correcto. Puede cargar la factura.", 'center');
                            //migo.value = "";
                            $("#migo").val("");
                        } else {
                            //migo.value = "";
                            $("#migo").val("")
                            //alert("El número migo no es correcto.");
                            Alerta("error", "El número de  Aceptación, de Servicio o de Mercancía no es correcto. Por favor ingrese el número correcto.", 'center');
                        }
                        $(this).dialog('close');
                    },
                    Close: function () {
                        $(this).dialog('close');
                    }
                },
                modal: true,
                height: 200,
                width: 350,
            });
        });
    };

</script>
